elm::gengrid_item Struct Reference

Public Member Functions
elm::gengrid_item Struct Reference

Class gengrid_item. More...

## Public Member Functions
| gengrid_item (Eo *eo)
| Eo Constructor. More...
| gengrid_item (std::nullptr_t)
| nullptr_t Constructor. More...
| gengrid_item (gengrid_item const &other)
| Copy Constructor.
void | show (Elm_Gengrid_Item_Scrollto_Type type_) const
void | bring_in (Elm_Gengrid_Item_Scrollto_Type type_) const
void | fields_update (::efl::eina::string_view parts_, Elm_Gengrid_Item_Field_Type itf_) const
void | item_class_update (const Elm_Gengrid_Item_Class *itc_) const
| gengrid_item (::efl::eo::parent_type _p)
| Constructs a new elm::gengrid_item object. More...

## Detailed Description

Class gengrid_item.

## Constructor & Destructor Documentation

## ◆ gengrid_item() [1/3]

elm::gengrid_item::gengrid_item | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::gengrid_item object.

Constructs a new elm::gengrid_item object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::gengrid_item my_gengrid_item(efl::eo::parent = parent_object);

See also
  gengrid_item(Eo* eo)

## ◆ gengrid_item() [2/3]

elm::gengrid_item::gengrid_item | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ gengrid_item() [3/3]

elm::gengrid_item::gengrid_item | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ bring_in()

void elm::gengrid_item::bring_in | ( | Elm_Gengrid_Item_Scrollto_Type | type_ | ) | const

Parameters

  type |

## ◆ fields_update()

void elm::gengrid_item::fields_update | ( | ::efl::eina::string_view | parts_,
|  | Elm_Gengrid_Item_Field_Type | itf_
| ) |  | const

Parameters

  parts |
  itf |

## ◆ item_class_update()

void elm::gengrid_item::item_class_update | ( | const Elm_Gengrid_Item_Class * | itc_ | ) | const

Parameters

  itc |

## ◆ show()

void elm::gengrid_item::show | ( | Elm_Gengrid_Item_Scrollto_Type | type_ | ) | const

Parameters

  type |